%define major 0
%define libname %mklibname amrnb %major
%define distsuffix plf

Summary: AMR NarrowBand speech codec
Name: amrnb
Version: 0.0.1
Release: %mkrel 1
License: Distributable
Group: System/Libraries
URL: http://www.3gpp.org/
Source: http://ronald.bitfreak.net/priv/amrnb-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
AMR-NB is a narrowband speech codec used in mobile phones.

This package is in PLF as it might violate some patents.

%package -n %libname
Summary: AMR NarrowBand speech codec development files
Group: System/Libraries

%description -n %libname
AMR-NB is a narrowband speech codec used in mobile phones development files.


%package -n %libname-devel
Summary: AMR NarrowBand speech codec development files
Group: Development/C
Requires: %{libname} = %{version}
Provides: lib%name-devel = %{version}-%{release}

%description -n %libname-devel
AMR-NB is a narrowband speech codec used in mobile phones development files.

%prep
%setup -q


%build
%configure2_5x --enable-static
%make


%install
%{__rm} -rf %{buildroot}
%makeinstall


%clean
%{__rm} -rf %{buildroot}


%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root,0755)
%doc README AUTHORS
%{_libdir}/libamrnb.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root,0755)
%{_includedir}/amrnb/
%{_libdir}/libamrnb.a
%exclude %{_libdir}/libamrnb.la
%{_libdir}/libamrnb.so


%changelog
* Fri Dec  8 2006 Götz Waschk <goetz@zarb.org> 0.0.1-1plf2007.1
- initial package
